rootid
Prev | XSLT Processing | Next

## rootid

rootid — Specify the root element to format

## Synopsis

    <xsl:param name="rootid"></xsl:param>

## Description

If `rootid` is not empty, it must be the value of an ID that occurs in the document being formatted. The entire document will be loaded and parsed, but formatting will begin at the element identified, rather than at the root. For example, this allows you to process only `chapter` 4 of a `book`.

Because the entire document is available to the processor, automatic numbering, cross references, and other dependencies are correctly resolved.

Prev | Up | Next
XSLT Processing | Home | suppress.navigation